package nft.info;

public class TranInfo {
    String fromAddr;
    String toAddr;
    long dealCount;
    String txHash;
    String pointReceiverAddr;
    long dealTimestamp;
    int txType;

    public TranInfo() {
    }

    public TranInfo(String fromAddr, String toAddr, long dealCount, String txHash, String pointReceiverAddr, long dealTimestamp, int txType) {
        this.fromAddr = fromAddr;
        this.toAddr = toAddr;
        this.dealCount = dealCount;
        this.txHash = txHash;
        this.pointReceiverAddr = pointReceiverAddr;
        this.dealTimestamp = dealTimestamp;
        this.txType = txType;
    }

    @Override
    public String toString() {
        return "TranInfo{" +
                "fromAddr='" + fromAddr + '\'' +
                ", toAddr='" + toAddr + '\'' +
                ", dealCount=" + dealCount +
                ", txHash='" + txHash + '\'' +
                ", pointReceiverAddr='" + pointReceiverAddr + '\'' +
                ", dealTimestamp=" + dealTimestamp +
                ", txType=" + txType +
                '}';
    }

    public String getFromAddr() {
        return fromAddr;
    }

    public void setFromAddr(String fromAddr) {
        this.fromAddr = fromAddr;
    }

    public String getToAddr() {
        return toAddr;
    }

    public void setToAddr(String toAddr) {
        this.toAddr = toAddr;
    }

    public long getDealCount() {
        return dealCount;
    }

    public void setDealCount(long dealCount) {
        this.dealCount = dealCount;
    }

    public String getTxHash() {
        return txHash;
    }

    public void setTxHash(String txHash) {
        this.txHash = txHash;
    }

    public String getPointReceiverAddr() {
        return pointReceiverAddr;
    }

    public void setPointReceiverAddr(String pointReceiverAddr) {
        this.pointReceiverAddr = pointReceiverAddr;
    }

    public long getDealTimestamp() {
        return dealTimestamp;
    }

    public void setDealTimestamp(long dealTimestamp) {
        this.dealTimestamp = dealTimestamp;
    }

    public int getTxType() {
        return txType;
    }

    public void setTxType(int txType) {
        this.txType = txType;
    }
}
